{{ define "main"}}
<main class="container my-3 text-light">
  <div class="text-center">
    <h1 class="display-2">404</h1>
    <p class="lead">Page not found :(</p>
    <p>The requested page could not be found.</p>
  </div>

  <div class="alert alert-warning">
    If you believe this is a mistake on our behalf, please
    <a class="alert-link" href="https://gitlab.freedesktop.org/mesa/mesa3d.org/-/issues/new">
    file a ticket</a>, and we'll take a look. Make sure to include the
    full URL of the page you're currently viewing, as well as the URL of
    the page that led you here, or any other explanation as to why you
    believe this is a mistake.
  </div>
</main>
<div id="bg" class="position-fixed w-100 user-select-none">
  <pre>
    {{readFile "/layouts/404-panic.txt"}}
  </pre>
</div>
<style>
  main div:first-child {
    text-shadow: 0 0 0.25em #111, 0 0 0.5em #111, 0 0 1em #111, 0 0 2em #111, 0 0 4em #111;
  }
  #bg {
    background-color: #111;
    z-index: -1;
  }
  pre {
    color: #333;
  }
</style>

{{ end }}
